#include "voices.h"
//#include "notes.h"
#include "midiLibrary.h"

#include "midiPlayer.c"
#include "midiLibrary.c"

void mp_init();

//funcitions for setting the music
void mp_setNoteCount(u16 noteCountI);
void mp_setReplay(u8 replayI);
void mp_setTiming(u8 *timingI);
void mp_setChannels(int *channel1I, int *channel2I, int *channel3I, int *channel4I, int *channel5I);
void mp_setActiveChannels(u8 channel1AI, u8 channel2AI, u8 channel3AI, u8 channel4AI, u8 channel5AI);

//functions for playing music
void mp_playNote(u8 chan, u16 freq, u8 vol, u8 fade);
void mp_playerStart();
void mp_playerStop();
int mp_playMusic();
